function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { Entity, Index, JoinColumn, Column, ManyToOne, PrimaryColumn } from "typeorm";
import { Note } from "./note.js";
import { Clip } from "./clip.js";
import { id } from "../id.js";
export let ClipNote = class ClipNote {
    id;
    noteId;
    note;
    clipId;
    clip;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], ClipNote.prototype, "id", void 0);
_ts_decorate([
    Index(),
    Column({
        ...id(),
        comment: "The note ID."
    }),
    _ts_metadata("design:type", Object)
], ClipNote.prototype, "noteId", void 0);
_ts_decorate([
    ManyToOne((type)=>Note, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], ClipNote.prototype, "note", void 0);
_ts_decorate([
    Index(),
    Column({
        ...id(),
        comment: "The clip ID."
    }),
    _ts_metadata("design:type", Object)
], ClipNote.prototype, "clipId", void 0);
_ts_decorate([
    ManyToOne((type)=>Clip, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], ClipNote.prototype, "clip", void 0);
ClipNote = _ts_decorate([
    Entity(),
    Index([
        "noteId",
        "clipId"
    ], {
        unique: true
    })
], ClipNote);
